CVE-2020-11761

Name
CVE-2020-11761
Description
An issue was discovered in OpenEXR before 2.4.1. There is an out-of-bounds read during Huffman uncompression, as demonstrated by FastHufDecoder::refill in ImfFastHuf.cpp.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Release Notes https://github.com/AcademySoftwareFoundation/openexr/releases/tag/v2.4.1
Release Notes https://github.com/AcademySoftwareFoundation/openexr/blob/master/CHANGES.md#version-241-february-11-2020
Exploit https://bugs.chromium.org/p/project-zero/issues/detail?id=1987
UBUNTU https://usn.ubuntu.com/4339-1/
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/F4KFGDQG5PVYAU7TS5MZ7XCS6EMPVII3/
SUSE http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00051.html
DEBIAN https://www.debian.org/security/2020/dsa-4755
MLIST https://lists.debian.org/debian-lts-announce/2020/08/msg00056.html
CONFIRM https://support.apple.com/kb/HT211293
CONFIRM https://support.apple.com/kb/HT211290
CONFIRM https://support.apple.com/kb/HT211291
CONFIRM https://support.apple.com/kb/HT211288
CONFIRM https://support.apple.com/kb/HT211289
CONFIRM https://support.apple.com/kb/HT211294
CONFIRM https://support.apple.com/kb/HT211295

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:openexr:openexr:*:*:*:*:*:*:*:* openexr >= None < 2.4.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status